<template>
    <select-component :options="selectableOptions" :modelValue="modelValue" @update:modelValue="emit('update:modelValue', $event)"></select-component>
</template>

<script setup lang="ts">
const props = withDefaults(defineProps<{
    modelValue?: any;
    section?: string;
    selectableOptions: any[];
}>(), {
    selectableOptions: () => [],
});

const emit = defineEmits(['update:modelValue']);
</script>
